[Swift-commit] r6442 - branches/faster/tests/functions
hategan at ci.uchicago.edu
hategan at ci.uchicago.edu
Sat Apr 13 23:03:18 CDT 2013
Author: hategan
Date: 2013-04-13 23:03:17 -0500 (Sat, 13 Apr 2013)
New Revision: 6442
Modified:
branches/faster/tests/functions/105-assert-loop.check.sh
Log:
don't check for iterations completed when an assertion is inside a loop
Modified: branches/faster/tests/functions/105-assert-loop.check.sh
===================================================================
--- branches/faster/tests/functions/105-assert-loop.check.sh 2013-04-14 01:16:44 UTC (rev 6441)
+++ branches/faster/tests/functions/105-assert-loop.check.sh 2013-04-14 04:03:17 UTC (rev 6442)
@@ -4,7 +4,15 @@
grep I_IS_4 105-assert-loop.stdout || exit 1
-LINES=$( grep -c "i:" 105-assert-loop.stdout )
-[[ ${LINES} == 5 ]] || exit 1
+#
+# Assert fails the entire run whenever the assertion
+# fails, and not when the loop in which the assert statement
+# exists completes. It is therefore incorrect to assume anything
+# about the number of parallel iterations that are
+# completed when assert aborts everything.
+#
+#LINES=$( grep -c "i:" 105-assert-loop.stdout )
+#[[ ${LINES} == 5 ]] || exit 1
+
exit 0
More information about the Swift-commit
mailing list